Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.support
Class ReloadableResourceBundleMessageSource.PropertiesHolder

    java.lang.Object
      org.springframework.context.support.ReloadableResourceBundleMessageSource.PropertiesHolder

Enclosing class:
  ReloadableResourceBundleMessageSource

    protected class ReloadableResourceBundleMessageSource.PropertiesHolder

extends Object

PropertiesHolder for caching. Stores the last-modified timestamp of the source file for efficient change detection, and the timestamp of the last refresh attempt (updated every time the cache entry gets re-validated).

Constructor Summary
`ReloadableResourceBundleMessageSource.PropertiesHolder()`
`ReloadableResourceBundleMessageSource.PropertiesHolder(Properties properties, long fileTimestamp)`

Method Summary
`long` | `getFileTimestamp()`
`MessageFormat` | `getMessageFormat(String code, Locale locale)`
`Properties` | `getProperties()`
`String` | `getProperty(String code)`
`long` | `getRefreshTimestamp()`
`void` | `setRefreshTimestamp(long refreshTimestamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReloadableResourceBundleMessageSource.PropertiesHolder

    public ReloadableResourceBundleMessageSource.PropertiesHolder(Properties properties,
                                                                  long fileTimestamp)

### ReloadableResourceBundleMessageSource.PropertiesHolder

    public ReloadableResourceBundleMessageSource.PropertiesHolder()

Method Detail

### getProperties

    public Properties getProperties()

### getFileTimestamp

    public long getFileTimestamp()

### setRefreshTimestamp

    public void setRefreshTimestamp(long refreshTimestamp)

### getRefreshTimestamp

    public long getRefreshTimestamp()

### getProperty

    public String getProperty(String code)

### getMessageFormat

    public MessageFormat getMessageFormat(String code,
                                          Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.